# Generated by Django 2.2.28 on 2023-05-09 14:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields
import djangoldp_needle.permissions.needle_user_follow


def update(apps, schema_editor):
    if not schema_editor.connection.vendor.startswith('postgres'):
        return
    schema_editor.execute('UPDATE djangoldp_account_ldpuser SET first_name = substring(SPLIT_PART(email, \'@\', 1) from 1 for 30)');

class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('djangoldp_needle', '0032_avatar2'),
    ]

    operations = [
        migrations.CreateModel(
            name='NeedleUserContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('invitation_token', models.CharField(max_length=255, null=True)),
                ('contact_from', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contact_from', to=settings.AUTH_USER_MODEL)),
                ('contact_to', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contact_to', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'hd:needle_user_contact',
                'auto_author': 'contact_from',
                'owner_field': 'contact_from',
                'permission_classes': [djangoldp_needle.permissions.needle_user_follow.NeedleUserFollowPermissions],
                'depth': 0,
                'authenticated_perms': ['add'],
                'owner_perms': ['view', 'delete'],
            },
        ),
        migrations.AddConstraint(
            model_name='needleusercontact',
            constraint=models.UniqueConstraint(fields=('contact_from', 'contact_to'), name='unique_contact'),
        ),
        migrations.AddConstraint(
            model_name='needleusercontact',
            constraint=models.UniqueConstraint(fields=('invitation_token',), name='unique_contact_invitation'),
        ),
        migrations.RunPython(update),
    ]
