# Generated by Django 2.2.28 on 2023-07-28 12:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('djangoldp_needle', '0039_auto_20230728_0821'),
    ]

    operations = [
        migrations.CreateModel(
            name='BookletTagTarget',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('target', models.CharField(max_length=4096)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('creator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('tag', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='djangoldp_needle.BookletTag')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'hd:booklet_tag',
                'auto_author': 'creator',
                'depth': 0,
            },
        ),
        migrations.AddConstraint(
            model_name='booklettagtarget',
            constraint=models.UniqueConstraint(fields=('tag', 'target'), name='unique_tag_target'),
        ),
    ]
