# Generated by Django 2.2.28 on 2023-07-31 13:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_needle', '0042_auto_20230731_1331'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserMailChangeToken',
            fields=[
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creator', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='mail_change_token', serialize=False, to=settings.AUTH_USER_MODEL)),
                ('email', models.CharField(max_length=255)),
                ('token', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'rdf_type': 'hd:mail_change_token',
                'auto_author': 'creator',
                'owner_field': 'creator',
                'serializer_fields': ['@id', 'creator', 'email'],
                'depth': 0,
                'anonymous_perms': [],
                'authenticated_perms': [],
                'owner_perms': ['add', 'view', 'delete'],
            },
        ),
        migrations.AddConstraint(
            model_name='usermailchangetoken',
            constraint=models.UniqueConstraint(fields=('creator',), name='unique_creator_mail_change_token'),
        ),
    ]
